console.log('helloworld index.js');

function hidePreviewAvatarBox() {
    var noAvatarText = document.getElementById('preview-avatar');
    noAvatarText.style.display = 'none';
}

function avatarActionClear() {
    var avatarAction = document.getElementById('avatarAction');
    avatarAction.value = 'CLEAR';
}

function hideClearAvatarButton() {
    var clearAvatarButton = document.getElementById('clearAvatarButton');
    clearAvatarButton.style.display = 'none';
}

function showClearAvatarButton() {
    var clearAvatarButton = document.getElementById('clearAvatarButton');
    clearAvatarButton.style.display = 'block';
}

function avatarActionUpdate() {
    var avatarAction = document.getElementById('avatarAction');
    avatarAction.value = 'UPDATE_AVATAR';
}

function hideNoAvatarBox() {
    var noAvatarText = document.getElementById('noAvatarText');
    noAvatarText.style.display = 'none';
}

function showNoAvatarBox() {
    var noAvatarText = document.getElementById('noAvatarText');
    noAvatarText.style.display = 'block';
}

function noAvatarOnClick(e) {
    var avatarInput = document.querySelector('#avatar');
    avatarInput.click();
}

function previewAvatarOnClick(e) {
    var avatarInput = document.querySelector('#avatar');
    avatarInput.click();
}

function originalAvatarOnClick(e) {
    var avatarInput = document.querySelector('#avatar');
    avatarInput.click();
}

function avatarActionUpdate() {
    var avatarAction = document.getElementById('avatarAction');
    avatarAction.value = 'UPDATE_AVATAR';
}

function showPreviewAvatarBox() {
    var noAvatarText = document.getElementById('preview-avatar');
    noAvatarText.style.display = 'block';
}

function hideOriginalAvatarBox() {
    var noAvatarText = document.getElementById('original-avatar');
    noAvatarText.style.display = 'none';
}

function showOriginalAvatarBox() {
    var noAvatarText = document.getElementById('original-avatar');
    noAvatarText.style.display = 'block';
}

function avatarActionNoChange() {
    var avatarAction = document.getElementById('avatarAction');
    avatarAction.value = 'NO_CHANGE';
}
